## model.exceptions
Class GoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              model.exceptions.GoException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DataFileException, DiscountNotFoundException, DuplicatePlayerException, EntryDateNotSetException, EntryNotFoundException, GoIOException, GoTournaments.IncorrectPasswordException, ParseGoDateException, PreEntryNotFoundException, TournamentClosedException, TournamentNotFoundException, TournamentOpenException, XMLParsingException

    public class GoException

extends java.lang.Exception

Base class of the exceptions used in the program. All the other exception classes are subclasses of GoException.

See Also:
  Serialized Form

Field Summary
`(package private) java.lang.String` `error_message`
`private static long` `serialVersionUID` UID for serialization

Constructor Summary
`GoException(java.lang.String exc_error_message)` When a GoException instance is created, its error message is stored.

Method Summary
`java.lang.String` `getErrorMessage()` Returns the error message of the exception.
`java.lang.String` `toString()` Returns the error message of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final transient long serialVersionUID

  UID for serialization

  See Also:
    Constant Field Values

### error_message

    transient java.lang.String error_message

Constructor Detail

### GoException

    public GoException(java.lang.String exc_error_message)

  When a GoException instance is created, its error message is stored.

Method Detail

### getErrorMessage

    public java.lang.String getErrorMessage()

  Returns the error message of the exception.

### toString

    public java.lang.String toString()

  Returns the error message of the exception.

  Overrides:
    `toString` in class `java.lang.Throwable`